part of simulator_eurl_sasu;


int pass = 39228;

Charges charges = new Charges();

class Charges {

  List<ChargeSas> charges = [
    new ChargeSasCsgCrds("CSG non déductible", 2.40, 0.00, 0.9825, pass * 4.00, false),
    new ChargeSasCsgCrds("CSG déductible", 5.10, 0.00, 0.9825, pass * 4.00, true),
    new ChargeSasCsgCrds("CRDS non déductible", 0.50, 0.00, 0.9825, pass * 4.00, false),
    new ChargeSasLinear("Assurance Maladie", 0.75, 12.89), // LETESE SS DEPLAFONNEE
    new ChargeSasLinear("Contribution Solidarité Autonomie", 0.00, 0.30), // LETESE SS DEPLAFONNEE
    new ChargeSasThresholds("Retraite plafonnée", 6.90, 8.55, 0.00, pass * 1.00), // LETESE SS PLAFONNEE
    new ChargeSasLinear("Retraite déplafonnée", 0.40, 1.90), // LETESE SS DEPLAFONNEE
    new ChargeSasLinear("Allocations familiales", 0.00, 5.25), // LETESE SS DEPLAFONNEE - Le taux réduit (3,45 % au lieu de 5,25 %) à partir duquel est calculée cette cotisation lorsque le salaire est inférieur ou égal à 3,5 SMIC
    new ChargeSasThresholds("Aide au logement (FNAL)", 0.00, 0.10, 0.00, pass * 1.00),
    new ChargeSasLinear("Accident Travail", 0.00, 1.00), // LETESE SS DEPLAFONNEE
    new ChargeSasThresholds("Retraite Arrco TA", 3.10, 4.65, 0.00, pass * 1.00),
    new ChargeSasThresholds("Retraite Agirc TB", 7.80, 12.75, pass * 1.00, pass * 4.00),
    new ChargeSasThresholds("Retraite Agirc TC", 7.80, 12.75, pass * 4.00, pass * 8.00),
    new ChargeSasGmp("GMP", 7.80, 12.75),
    new ChargeSasThresholds("Retraite Agff TA", 0.80, 1.20, 0.00, pass * 1.00),
    new ChargeSasThresholds("Retraite Agff TB", 0.90, 1.30, pass * 1.00, pass * 8.00),
    new ChargeSasThresholds("CET", 0.13, 0.22, 0.00, pass * 8.00),
    new ChargeSasThresholds("Prévoyance Cadre", 0.00, 1.50, 0.00, pass * 1.00, toAddToCsgCrdsBase: true),
    new ChargeSasFixed("Mutuelle Santé", 0.0, 78.52 * 12, toAddToCsgCrdsBase: true),
    new ChargeSasThresholds("APEC", 0.024, 0.036, 0.00, pass * 4.00),
    new ChargeSasLinear("Formation", 0.00, 0.55),
    new ChargeSasLinear("Apprentissage", 0.00, 0.68),
    new ChargeSasThresholds("Assurance chômage", 2.40, 4.00, 0.00, pass * 4.00, toApplyToEmployeeOnly: true),
    new ChargeSasThresholds("AGS", 0.00, 0.20, 0.00, pass * 4.00, toApplyToEmployeeOnly: true)
  ];
}
